Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.cs	(revision 17524)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringSolutionView.cs	(revision 17525)
@@ -20,15 +20,16 @@
 #endregion
 
-using System;
-using System.Drawing;
-using System.Linq;
-using HeuristicLab.Common;
-using HeuristicLab.Core.Views;
+using System.ComponentModel;
 using HeuristicLab.MainForm;
+using HeuristicLab.Problems.TravelingSalesman.Views;
 
 namespace HeuristicLab.Problems.Orienteering.Views {
   [View("OrienteeringSolution View")]
   [Content(typeof(OrienteeringSolution), true)]
-  public partial class OrienteeringSolutionView : ItemView {
+  public partial class OrienteeringSolutionView : TSPSolutionView {
+    public new OrienteeringVisualizer Visualizer {
+      get { return (OrienteeringVisualizer)base.Visualizer; }
+      set { base.Visualizer = value; }
+    }
     public new OrienteeringSolution Content {
       get { return (OrienteeringSolution)base.Content; }
@@ -37,187 +38,48 @@
     public OrienteeringSolutionView() {
       InitializeComponent();
+      Visualizer = new OrienteeringVisualizer();
     }
 
     protected override void DeregisterContentEvents() {
-      Content.QualityChanged -= Content_QualityChanged;
-      Content.PenaltyChanged -= Content_PenaltyChanged;
-      Content.DistanceChanged -= Content_DistanceChanged;
-      Content.CoordinatesChanged -= Content_CoordinatesChanged;
-      Content.StartingPointChanged -= Content_StartingPointChanged;
-      Content.TerminalPointChanged -= Content_TerminalPointChanged;
-      Content.ScoresChanged -= Content_ScoresChanged;
-      Content.IntegerVectorChanged -= Content_IntegerVectorChanged;
+      Content.PropertyChanged -= ContentOnPropertyChanged;
       base.DeregisterContentEvents();
     }
     protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
-      Content.QualityChanged += Content_QualityChanged;
-      Content.PenaltyChanged += Content_PenaltyChanged;
-      Content.DistanceChanged += Content_DistanceChanged;
-      Content.CoordinatesChanged += Content_CoordinatesChanged;
-      Content.StartingPointChanged += Content_StartingPointChanged;
-      Content.TerminalPointChanged += Content_TerminalPointChanged;
-      Content.ScoresChanged += Content_ScoresChanged;
-      Content.IntegerVectorChanged += Content_IntegerVectorChanged;
+      Content.PropertyChanged += ContentOnPropertyChanged;
+    }
+
+    protected override void ContentOnPropertyChanged(object sender, PropertyChangedEventArgs e) {
+      base.ContentOnPropertyChanged(sender, e);
+      switch (e.PropertyName) {
+        case nameof(Content.Quality):
+          qualityValueView.Content = Content.Quality;
+          break;
+        case nameof(Content.Score):
+          scoreValueView.Content = Content.Score;
+          break;
+      }
     }
 
     protected override void OnContentChanged() {
-      base.OnContentChanged();
       if (Content == null) {
         qualityValueView.Content = null;
-        penaltyValueView.Content = null;
-        distanceValueView.Content = null;
+        scoreValueView.Content = null;
         splitContainer.Panel1Collapsed = true;
-        pictureBox.Image = null;
-        tourViewHost.Content = null;
+        Visualizer.Data = null;
+        Visualizer.IsFeasible = false;
       } else {
         qualityValueView.Content = Content.Quality;
-        penaltyValueView.Content = Content.Penalty;
-        distanceValueView.Content = Content.Distance;
-        SetPanelCollapsing();
-        GenerateImage();
-        tourViewHost.Content = Content.IntegerVector;
+        scoreValueView.Content = Content.Score;
+        Visualizer.Data = Content.OPData;
+        Visualizer.IsFeasible = Content.TravelCosts.Value <= Content.OPData.MaximumTravelCosts;
       }
+      base.OnContentChanged();
     }
 
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      qualityValueView.Enabled = Content != null;
-      penaltyValueView.Enabled = Content != null;
-      distanceValueView.Enabled = Content != null;
-      pictureBox.Enabled = Content != null;
-      tourGroupBox.Enabled = Content != null;
-    }
-
-    private void GenerateImage() {
-      if ((pictureBox.Width > 0) && (pictureBox.Height > 0)) {
-        if (Content == null) {
-          pictureBox.Image = null;
-        } else {
-          var coordinates = Content.Coordinates;
-          var scores = Content.Scores;
-          var integerVector = Content.IntegerVector;
-          var bitmap = new Bitmap(pictureBox.Width, pictureBox.Height);
-
-          if ((coordinates != null) && (coordinates.Rows > 0) && (coordinates.Columns == 2)
-            && (scores != null) && (coordinates.Rows == scores.Length)) {
-            double xMin = double.MaxValue, yMin = double.MaxValue, xMax = double.MinValue, yMax = double.MinValue;
-            for (int i = 0; i < coordinates.Rows; i++) {
-              if (xMin > coordinates[i, 0]) xMin = coordinates[i, 0];
-              if (yMin > coordinates[i, 1]) yMin = coordinates[i, 1];
-              if (xMax < coordinates[i, 0]) xMax = coordinates[i, 0];
-              if (yMax < coordinates[i, 1]) yMax = coordinates[i, 1];
-            }
-
-            int border = 20;
-            double xStep = xMax != xMin ? (pictureBox.Width - 2 * border) / (xMax - xMin) : 1;
-            double yStep = yMax != yMin ? (pictureBox.Height - 2 * border) / (yMax - yMin) : 1;
-
-            Point[] points = new Point[coordinates.Rows];
-            for (int i = 0; i < coordinates.Rows; i++)
-              points[i] = new Point(border + ((int)((coordinates[i, 0] - xMin) * xStep)),
-                                    bitmap.Height - (border + ((int)((coordinates[i, 1] - yMin) * yStep))));
-
-            using (Graphics graphics = Graphics.FromImage(bitmap)) {
-              if (integerVector != null && integerVector.Length > 1) {
-                Point[] tour = new Point[integerVector.Length];
-                for (int i = 0; i < integerVector.Length; i++) {
-                  tour[i] = points[integerVector[i]];
-                }
-                bool visualizePenalty = Content.Penalty != null && Content.Penalty.Value > 0;
-                graphics.DrawLines(visualizePenalty ? Pens.Red : Pens.Black, tour);
-              }
-
-              double scoreMin = scores.Min();
-              double scoreMax = scores.Max();
-              double scoreRange = scoreMax - scoreMin;
-              for (int i = 0; i < points.Length; i++) {
-                double score = scores[i];
-                int size = scoreRange.IsAlmost(0.0)
-                  ? 6
-                  : (int)Math.Round(((score - scoreMin) / scoreRange) * 8 + 2);
-                graphics.FillRectangle(Brushes.Red, points[i].X - size / 2, points[i].Y - size / 2, size, size);
-              }
-              int startingPoint = Content.StartingPoint.Value;
-              int terminalPoint = Content.TerminalPoint.Value;
-              Font font = new Font(FontFamily.GenericSansSerif, 10, FontStyle.Regular);
-              var beginSize = graphics.MeasureString("Begin", font);
-              if (startingPoint >= 0 && startingPoint < points.Length)
-                graphics.DrawString("Begin", font, Brushes.Black, points[startingPoint].X - beginSize.Width, points[startingPoint].Y - beginSize.Height);
-              if (terminalPoint >= 0 && terminalPoint < points.Length)
-                graphics.DrawString("End", font, Brushes.Black, points[terminalPoint].X, points[terminalPoint].Y);
-            }
-          } else {
-            using (Graphics graphics = Graphics.FromImage(bitmap)) {
-              graphics.Clear(Color.White);
-              Font font = new Font(FontFamily.GenericSansSerif, 12, FontStyle.Regular);
-              string text = "No coordinates defined or in wrong format.";
-              SizeF strSize = graphics.MeasureString(text, font);
-              graphics.DrawString(text, font, Brushes.Black, (float)(pictureBox.Width - strSize.Width) / 2.0f, (float)(pictureBox.Height - strSize.Height) / 2.0f);
-            }
-          }
-          pictureBox.Image = bitmap;
-        }
-      }
-    }
-
-    private void SetPanelCollapsing() {
-      splitContainer.Panel1Collapsed = qualityValueView.Content == null && penaltyValueView.Content == null && distanceValueView.Content == null;
-    }
-
-    private void Content_QualityChanged(object sender, EventArgs e) {
-      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_QualityChanged, sender, e);
-      else {
-        qualityValueView.Content = Content.Quality;
-        SetPanelCollapsing();
-      }
-    }
-    private void Content_PenaltyChanged(object sender, EventArgs e) {
-      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_PenaltyChanged, sender, e);
-      else {
-        penaltyValueView.Content = Content.Penalty;
-        GenerateImage();
-        SetPanelCollapsing();
-      }
-    }
-
-    private void Content_DistanceChanged(object sender, EventArgs e) {
-      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_DistanceChanged, sender, e);
-      else {
-        distanceValueView.Content = Content.Distance;
-        SetPanelCollapsing();
-      }
-    }
-
-    private void Content_CoordinatesChanged(object sender, EventArgs e) {
-      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_CoordinatesChanged, sender, e);
-      else GenerateImage();
-    }
-
-    private void Content_StartingPointChanged(object sender, EventArgs e) {
-      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_StartingPointChanged, sender, e);
-      else GenerateImage();
-    }
-
-    private void Content_TerminalPointChanged(object sender, EventArgs e) {
-      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_TerminalPointChanged, sender, e);
-      else GenerateImage();
-    }
-
-    private void Content_ScoresChanged(object sender, EventArgs e) {
-      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_ScoresChanged, sender, e);
-      else GenerateImage();
-    }
-
-    private void Content_IntegerVectorChanged(object sender, EventArgs e) {
-      if (InvokeRequired) Invoke((Action<object, EventArgs>)Content_IntegerVectorChanged, sender, e);
-      else {
-        GenerateImage();
-        tourViewHost.Content = Content.IntegerVector;
-      }
-    }
-
-    private void pictureBox_SizeChanged(object sender, EventArgs e) {
-      GenerateImage();
+      qualityValueView.Enabled = Content != null && !ReadOnly && !Locked;
+      scoreValueView.Enabled = Content != null && !ReadOnly && !Locked;
     }
   }
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringVisualizer.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringVisualizer.cs	(revision 17525)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering.Views/3.3/OrienteeringVisualizer.cs	(revision 17525)
@@ -0,0 +1,102 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Drawing;
+using HeuristicLab.Common;
+using HeuristicLab.Problems.TravelingSalesman.Views;
+
+namespace HeuristicLab.Problems.Orienteering.Views {
+  public class OrienteeringVisualizer : TSPVisualizer {
+    public IOrienteeringProblemData Data { get; set; }
+    public bool IsFeasible { get; set; }
+
+    public override Bitmap Draw(int width, int height) {
+      var coordinates = Coordinates;
+      var integerVector = Tour;
+      var bitmap = new Bitmap(width, height);
+
+      if ((coordinates != null) && (coordinates.Rows > 0) && (coordinates.Columns == 2)
+        && (coordinates.Rows == Data.RoutingData.Cities)) {
+        double xMin = double.MaxValue, yMin = double.MaxValue, xMax = double.MinValue, yMax = double.MinValue;
+        for (int i = 0; i < coordinates.Rows; i++) {
+          if (xMin > coordinates[i, 0]) xMin = coordinates[i, 0];
+          if (yMin > coordinates[i, 1]) yMin = coordinates[i, 1];
+          if (xMax < coordinates[i, 0]) xMax = coordinates[i, 0];
+          if (yMax < coordinates[i, 1]) yMax = coordinates[i, 1];
+        }
+
+        int border = 20;
+        double xStep = xMax != xMin ? (width - 2 * border) / (xMax - xMin) : 1;
+        double yStep = yMax != yMin ? (height - 2 * border) / (yMax - yMin) : 1;
+
+        Point[] points = new Point[coordinates.Rows];
+        for (int i = 0; i < coordinates.Rows; i++)
+          points[i] = new Point(border + ((int)((coordinates[i, 0] - xMin) * xStep)),
+                                bitmap.Height - (border + ((int)((coordinates[i, 1] - yMin) * yStep))));
+
+        using (Graphics graphics = Graphics.FromImage(bitmap)) {
+          if (integerVector != null && integerVector.Length > 1) {
+            Point[] tour = new Point[integerVector.Length];
+            for (int i = 0; i < integerVector.Length; i++) {
+              tour[i] = points[integerVector[i]];
+            }
+            bool visualizePenalty = !IsFeasible;
+            graphics.DrawLines(visualizePenalty ? Pens.Red : Pens.Black, tour);
+          }
+
+          double scoreMin = double.MaxValue;
+          double scoreMax = double.MinValue;
+          for (int i = 0; i < points.Length; i++) {
+            var score = Data.GetScore(i);
+            if (score < scoreMin) scoreMin = score;
+            if (score > scoreMax) scoreMax = score;
+          }
+          double scoreRange = scoreMax - scoreMin;
+          for (int i = 0; i < points.Length; i++) {
+            double score = Data.GetScore(i);
+            int size = scoreRange.IsAlmost(0.0)
+              ? 6
+              : (int)Math.Round(((score - scoreMin) / scoreRange) * 8 + 2);
+            graphics.FillRectangle(Brushes.Red, points[i].X - size / 2, points[i].Y - size / 2, size, size);
+          }
+          int startingPoint = Data.StartingPoint;
+          int terminalPoint = Data.TerminalPoint;
+          Font font = new Font(FontFamily.GenericSansSerif, 10, FontStyle.Regular);
+          var beginSize = graphics.MeasureString("Begin", font);
+          if (startingPoint >= 0 && startingPoint < points.Length)
+            graphics.DrawString("Begin", font, Brushes.Black, points[startingPoint].X - beginSize.Width, points[startingPoint].Y - beginSize.Height);
+          if (terminalPoint >= 0 && terminalPoint < points.Length)
+            graphics.DrawString("End", font, Brushes.Black, points[terminalPoint].X, points[terminalPoint].Y);
+        }
+      } else {
+        using (Graphics graphics = Graphics.FromImage(bitmap)) {
+          graphics.Clear(Color.White);
+          Font font = new Font(FontFamily.GenericSansSerif, 12, FontStyle.Regular);
+          string text = "No coordinates defined or in wrong format.";
+          SizeF strSize = graphics.MeasureString(text, font);
+          graphics.DrawString(text, font, Brushes.Black, (float)(width - strSize.Width) / 2.0f, (float)(height - strSize.Height) / 2.0f);
+        }
+      }
+      return bitmap;
+    }
+  }
+}
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering/3.3/Creators/GreedyOrienteeringTourCreator.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering/3.3/Creators/GreedyOrienteeringTourCreator.cs	(revision 17524)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering/3.3/Creators/GreedyOrienteeringTourCreator.cs	(revision 17525)
@@ -22,4 +22,5 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -27,5 +28,4 @@
 using HeuristicLab.Encodings.IntegerVectorEncoding;
 using HeuristicLab.Parameters;
-using HEAL.Attic;
 
 namespace HeuristicLab.Problems.Orienteering {
@@ -43,24 +43,7 @@
     public override bool CanChangeName { get { return false; } }
 
-    #region Parameter Properties
-    public ILookupParameter<DistanceMatrix> DistanceMatrixParameter {
-      get { return (ILookupParameter<DistanceMatrix>)Parameters["DistanceMatrix"]; }
+    public ILookupParameter<IOrienteeringProblemData> OrienteeringProblemDataParameter {
+      get { return (ILookupParameter<IOrienteeringProblemData>)Parameters["OrienteeringProblemData"]; }
     }
-    public ILookupParameter<DoubleArray> ScoresParameter {
-      get { return (ILookupParameter<DoubleArray>)Parameters["Scores"]; }
-    }
-    public ILookupParameter<DoubleValue> MaximumDistanceParameter {
-      get { return (ILookupParameter<DoubleValue>)Parameters["MaximumDistance"]; }
-    }
-    public ILookupParameter<IntValue> StartingPointParameter {
-      get { return (ILookupParameter<IntValue>)Parameters["StartingPoint"]; }
-    }
-    public ILookupParameter<IntValue> TerminalPointParameter {
-      get { return (ILookupParameter<IntValue>)Parameters["TerminalPoint"]; }
-    }
-    public ILookupParameter<DoubleValue> PointVisitingCostsParameter {
-      get { return (ILookupParameter<DoubleValue>)Parameters["PointVisitingCosts"]; }
-    }
-    #endregion
 
     [StorableConstructor]
@@ -71,10 +54,5 @@
     public GreedyOrienteeringTourCreator()
       : base() {
-      Parameters.Add(new LookupParameter<DistanceMatrix>("DistanceMatrix", "The matrix which contains the distances between the points."));
-      Parameters.Add(new LookupParameter<DoubleArray>("Scores", "The scores of the points."));
-      Parameters.Add(new LookupParameter<DoubleValue>("MaximumDistance", "The maximum distance constraint for a Orienteering solution."));
-      Parameters.Add(new LookupParameter<IntValue>("StartingPoint", "Index of the starting point."));
-      Parameters.Add(new LookupParameter<IntValue>("TerminalPoint", "Index of the ending point."));
-      Parameters.Add(new LookupParameter<DoubleValue>("PointVisitingCosts", "The costs for visiting a point."));
+      Parameters.Add(new LookupParameter<IOrienteeringProblemData>("OrienteeringProblemData", "The main data that comprises the orienteering problem."));
     }
 
@@ -84,19 +62,14 @@
 
     protected override IntegerVector Create(IRandom random, IntValue length, IntMatrix bounds) {
-      int startPoint = StartingPointParameter.ActualValue.Value;
-      int endPoint = TerminalPointParameter.ActualValue.Value;
-      int numPoints = ScoresParameter.ActualValue.Length;
-      var distances = DistanceMatrixParameter.ActualValue;
-      double pointVisitingCosts = PointVisitingCostsParameter.ActualValue.Value;
-      double maxDistance = MaximumDistanceParameter.ActualValue.Value;
-      var scores = ScoresParameter.ActualValue;
+      var data = OrienteeringProblemDataParameter.ActualValue;
 
       // Find all points within the maximum distance allowed (ellipse)
       var feasiblePoints = (
-        from point in Enumerable.Range(0, numPoints)
-        let distance = distances[startPoint, point] + distances[point, endPoint] + pointVisitingCosts
-        let score = scores[point]
-        where distance <= maxDistance
-        where point != startPoint && point != endPoint
+        from point in Enumerable.Range(0, data.RoutingData.Cities)
+        let travelCosts = data.RoutingData.GetDistance(data.StartingPoint, point)
+        + data.RoutingData.GetDistance(point, data.TerminalPoint) + data.PointVisitingCosts
+        let score = data.GetScore(point)
+        where travelCosts <= data.MaximumTravelCosts
+        where point != data.StartingPoint && point != data.TerminalPoint
         orderby score descending
         select point
@@ -105,8 +78,8 @@
       // Add the starting and terminus point
       var tour = new List<int> {
-        startPoint,
-        endPoint
+        data.StartingPoint,
+        data.TerminalPoint
       };
-      double tourLength = distances[startPoint, endPoint];
+      double tourLength = data.RoutingData.GetDistance(data.StartingPoint, data.TerminalPoint);
 
       // Add points in a greedy way
@@ -118,8 +91,8 @@
           for (int insertPosition = 1; insertPosition < tour.Count; insertPosition++) {
             // Create the candidate tour
-            double detour = distances.CalculateInsertionCosts(tour, insertPosition, feasiblePoints[i], pointVisitingCosts);
+            double detour = OrienteeringProblem.CalculateInsertionCosts(data, tour, insertPosition, feasiblePoints[i]);
 
             // If the insertion would be feasible, perform it
-            if (tourLength + detour <= maxDistance) {
+            if (tourLength + detour <= data.MaximumTravelCosts) {
               tour.Insert(insertPosition, feasiblePoints[i]);
               tourLength += detour;
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering/3.3/DistanceMatrix.cs
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering/3.3/DistanceMatrix.cs	(revision 17524)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering/3.3/DistanceMatrix.cs	(revision 17525)
@@ -22,8 +22,8 @@
 using System;
 using System.Collections.Generic;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HEAL.Attic;
 
 namespace HeuristicLab.Problems.Orienteering {
@@ -67,10 +67,10 @@
       return detour;
     }
-    public double CalculateReplacementCosts(List<int> path, int replacePosition, int point) {
+    public double CalculateReplacementCosts(IList<int> path, int replacePosition, int point) {
       double detour = this[path[replacePosition - 1], point] + this[point, path[replacePosition + 1]];
       detour -= this[path[replacePosition - 1], path[replacePosition]] + this[path[replacePosition], path[replacePosition + 1]];
       return detour;
     }
-    public double CalculateRemovementSaving(List<int> path, int removePosition, double pointVisitingCosts) {
+    public double CalculateRemovementSaving(IList<int> path, int removePosition, double pointVisitingCosts) {
       double saving = this[path[removePosition - 1], path[removePosition]];
       saving += this[path[removePosition], path[removePosition + 1]];
Index: /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering/3.3/HeuristicLab.Problems.Orienteering-3.3.csproj
===================================================================
--- /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering/3.3/HeuristicLab.Problems.Orienteering-3.3.csproj	(revision 17524)
+++ /branches/2521_ProblemRefactoring/HeuristicLab.Problems.Orienteering/3.3/HeuristicLab.Problems.Orienteering-3.3.csproj	(revision 17525)
@@ -89,12 +89,9 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Analyzers\BestOrienteeringSolutionAnalyzer.cs" />
     <Compile Include="Creators\GreedyOrienteeringTourCreator.cs" />
     <Compile Include="DistanceMatrix.cs" />
-    <Compile Include="OrienteeringEvaluationResult.cs" />
     <Compile Include="Improvers\OrienteeringLocalImprovementOperator.cs" />
-    <Compile Include="Interfaces\IOrienteeringEvaluator.cs" />
-    <Compile Include="Evaluators\OrienteeringEvaluator.cs" />
     <Compile Include="Interfaces\IOrienteeringSolutionCreator.cs" />
+    <Compile Include="OrienteeringProblemData.cs" />
     <Compile Include="OrienteeringProblem.cs" />
     <Compile Include="OrienteeringSolution.cs" />
@@ -144,4 +141,9 @@
       <Private>False</Private>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Encodings.PermutationEncoding\3.3\HeuristicLab.Encodings.PermutationEncoding-3.3.csproj">
+      <Project>{DBECB8B0-B166-4133-BAF1-ED67C3FD7FCA}</Project>
+      <Name>HeuristicLab.Encodings.PermutationEncoding-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Operators\3.3\HeuristicLab.Operators-3.3.csproj">
       <Project>{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}</Project>
@@ -179,4 +181,9 @@
       <Private>False</Private>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Problems.TravelingSalesman\3.3\HeuristicLab.Problems.TravelingSalesman-3.3.csproj">
+      <Project>{d767c38d-8014-46b0-9a32-03a3aecce34a}</Project>
+      <Name>HeuristicLab.Problems.TravelingSalesman-3.3</Name>
+      <Private>False</Private>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Random\3.3\HeuristicLab.Random-3.3.csproj">
       <Project>{F4539FB6-4708-40C9-BE64-0A1390AEA197}</Project>
@@ -197,4 +204,5 @@
     </Reference>
   </ItemGroup>
+  <ItemGroup />
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
